[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Pol_FieldBox` Component

Magnetic field component.

## Identification

- Author: Peter Willendrup, based on Pol_simpleBfield
- Origin: RISOE
- Date: August 2006
- Version: 1.1

## Description

    Rectangular box with a definable B field.

    The component corresponds to a setup of two slits (in/outgoing) plus starting and ending Pol_simpleBfield instances. Easy to use
    solution for e.g. precession fields and flipper fields.

    The current algorithm used for spin propagation is:
    SimpleNumMagnetPrecession
    in pol-lib.
    and does not handle gravity.

    GRAVITY: NO
    POLARISATION: YES

    Example: Pol_FieldBox(xw=0.1, yh=0.1, length=0.2, Bx=0, By=1, Bz=0)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
xw | m | Width of opening. |
yh | m | Height of opening. |
length | m | Length of field. |
Bx | T | Parameter used for x composant of field. |
By | T | Parameter used for y composant of field. |
Bz | T | Parameter used for z composant of field. |
nx | 1 | Number of field points to draw along x axis. | 5
ny | 1 | Number of field points to draw along y axis. | 5
nz | 1 | Number of field points to draw along z axis. | 5
fieldFunction | pointer | Function describing the magnetic field. | const_magnetic_field

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
gz | m/s/s | z-component of gravity |
parPtr | pointer | Pointer to component magnet parameters |

## Links

- Source code for `Pol_FieldBox.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]